Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WTCtBridgeRedirectMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface WTCtBridgeRedirectMBean
extends ConfigurationMBean

This interface provides access to the WTC tBridge Redirect configuration attributes. The methods defined herein are applicable for tBridge configuration at the WLS domain level.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getDirection()` The direction of data flow.
`String` | `getMetaDataFile()` The name of the metadata file URL used to pass the call to the XML-to-non-XML WebLogic XML Translator (WLXT).
`String` | `getReplyQ()` The name of the JMS queue used specifically for synchronous calls to a Tuxedo service.
`String` | `getSourceAccessPoint()` The name of the local or remote access point where the source is located.
`String` | `getSourceName()` The name of a source queue or service.
`String` | `getSourceQspace()` The name of the Qspace for a source location.
`String` | `getTargetAccessPoint()` The name of the local or remote access point where the target is located.
`String` | `getTargetName()` The name of the target queue or service.
`String` | `getTargetQspace()` The name of the Qspace for a target location.
`String` | `getTranslateFML()` The type of XMl/FML translation.
`void` | `setDirection(String Direction)` Sets the value of the Direction attribute.
`void` | `setMetaDataFile(String MetaDataFile)` Sets the value of the MetaDataFile attribute.
`void` | `setReplyQ(String ReplyQ)` Sets the value of the ReplyQ attribute.
`void` | `setSourceAccessPoint(String SourceAccessPoint)` Sets the value of the SourceAccessPoint attribute.
`void` | `setSourceName(String SourceName)` Sets the value of the SourceName attribute.
`void` | `setSourceQspace(String SourceQspace)` Sets the value of the SourceQspace attribute.
`void` | `setTargetAccessPoint(String TargetAccessPoint)` Sets the value of the TargetAccessPoint attribute.
`void` | `setTargetName(String TargetName)` Sets the value of the TargetName attribute.
`void` | `setTargetQspace(String TargetQspace)` Sets the value of the TargetQspace attribute.
`void` | `setTranslateFML(String TranslateFML)` Sets the value of the TranslateFML attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getDirection

    public String getDirection()

  The direction of data flow. At least one redirection must be specified or the Tuxedo queuing bridge will fail to start and an error will be logged.

  Each defined direction is handled by starting a new thread.

  Redirection keywords:

  - `JmsQ2TuxQ`

    - From JMS to TUXEDO /Q

  - `TuxQ2JmsQ`

    - From TUXEDO /Q to JMS

  - `JmsQ2TuxS`

    - From JMS to TUXEDO Service reply to JMS

  - `JmsQ2JmsQ`

    - From JMS to JMS

  Returns:
    The direction value
  A dynamic MBean attribute.

### getMetaDataFile

    public String getMetaDataFile()

  The name of the metadata file URL used to pass the call to the XML-to-non-XML WebLogic XML Translator (WLXT).

  Note: Not supported for this release.

  Returns:
    The metaDataFile value
  A dynamic MBean attribute.

### getReplyQ

    public String getReplyQ()

  The name of the JMS queue used specifically for synchronous calls to a Tuxedo service. The response is returned to the JMS ReplyQ.

  Returns:
    The replyQ value
  A dynamic MBean attribute.

### getSourceAccessPoint

    public String getSourceAccessPoint()

  The name of the local or remote access point where the source is located.

  Returns:
    The sourceAccessPoint value
  A dynamic MBean attribute.

### getSourceName

    public String getSourceName()

  The name of a source queue or service. Specifies a JMS queue name, a Tuxedo queue name, or the name of a Tuxedo service.

  Returns:
    The sourceName value
  A dynamic MBean attribute.

### getSourceQspace

    public String getSourceQspace()

  The name of the Qspace for a source location.

  Returns:
    The sourceQspace value
  A dynamic MBean attribute.

### getTargetAccessPoint

    public String getTargetAccessPoint()

  The name of the local or remote access point where the target is located.

  Returns:
    The targetAccessPoint value
  A dynamic MBean attribute.

### getTargetName

    public String getTargetName()

  The name of the target queue or service. Specifies a JMS queue name, a Tuxedo queue name, or the name of a Tuxedo service.

  Returns:
    The targetName value
  A dynamic MBean attribute.

### getTargetQspace

    public String getTargetQspace()

  The name of the Qspace for a target location.

  Returns:
    The targetQspace value
  A dynamic MBean attribute.

### getTranslateFML

    public String getTranslateFML()

  The type of XMl/FML translation.

  `NO` indicates that no data translation is performed. `FLAT` indicates that the message payload is transformed using the WebLogic Tuxedo Connector translator. `WLXT` indicates that translation is performed by the XML-to-non-XML WebLogic XML Translator (WLXT).

  Note: WLXT is not supported for this release.

  Returns:
    The translateFML value
  A dynamic MBean attribute.

### setDirection

    public void setDirection(String Direction)
                      throws InvalidAttributeValueException

  Sets the value of the Direction attribute.

  Parameters:
    `Direction` - the name of this FML field table class
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDirection()`
  Default value:
    "JmsQ2TuxQ"
  Legal null:
    false
  Legal values:
    "JmsQ2TuxQ","TuxQ2JmsQ","JmsQ2TuxS","JmsQ2JmsQ"
  A dynamic MBean attribute.

### setMetaDataFile

    public void setMetaDataFile(String MetaDataFile)
                         throws InvalidAttributeValueException

  Sets the value of the MetaDataFile attribute.

  Parameters:
    `MetaDataFile` - the URL for use with the WLXT translate FML mode
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMetaDataFile()`
  A dynamic MBean attribute.

### setReplyQ

    public void setReplyQ(String ReplyQ)
                   throws InvalidAttributeValueException

  Sets the value of the ReplyQ attribute.

  Parameters:
    `ReplyQ` - the URL for use with the WLXT translate FML mode
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getReplyQ()`
  A dynamic MBean attribute.

### setSourceAccessPoint

    public void setSourceAccessPoint(String SourceAccessPoint)
                              throws InvalidAttributeValueException

  Sets the value of the SourceAccessPoint attribute.

  Parameters:
    `SourceAccessPoint` - local or remote TuxDom name
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSourceAccessPoint()`
  A dynamic MBean attribute.

### setSourceName

    public void setSourceName(String SourceName)
                       throws InvalidAttributeValueException

  Sets the value of the SourceName attribute.

  Parameters:
    `SourceName` - name of the JMS or TUXEDO queue for the source
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSourceName()`
  Default value:
    "mySource"
  Legal null:
    false
  A dynamic MBean attribute.

### setSourceQspace

    public void setSourceQspace(String SourceQspace)
                         throws InvalidAttributeValueException

  Sets the value of the SourceQspace attribute.

  Parameters:
    `SourceQspace` - Tuxedo Qspace for the source
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSourceQspace()`
  A dynamic MBean attribute.

### setTargetAccessPoint

    public void setTargetAccessPoint(String TargetAccessPoint)
                              throws InvalidAttributeValueException

  Sets the value of the TargetAccessPoint attribute.

  Parameters:
    `TargetAccessPoint` - local or remote TuxDom name
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTargetAccessPoint()`
  A dynamic MBean attribute.

### setTargetName

    public void setTargetName(String TargetName)
                       throws InvalidAttributeValueException

  Sets the value of the TargetName attribute.

  Parameters:
    `TargetName` - name of the JMS or TUXEDO queue for the target
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTargetName()`
  Default value:
    "myTarget"
  Legal null:
    false
  A dynamic MBean attribute.

### setTargetQspace

    public void setTargetQspace(String TargetQspace)
                         throws InvalidAttributeValueException

  Sets the value of the TargetQspace attribute.

  Parameters:
    `TargetQspace` - Tuxedo Qspace for the target
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTargetQspace()`
  A dynamic MBean attribute.

### setTranslateFML

    public void setTranslateFML(String TranslateFML)
                         throws InvalidAttributeValueException

  Sets the value of the TranslateFML attribute.

  Parameters:
    `TranslateFML` - the mode for translating FML if desired.
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTranslateFML()`
  Default value:
    "NO"
  Legal values:
    "NO","FLAT","WLXT"
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD